## mkiol-dsnote.zip

=== CMakeLists.txt ===
# Copyright (C) 2023-2024 Michal Kosciesza <michal@mkiol.net>
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

cmake_minimum_required(VERSION 3.5)

option(WITH_DESKTOP "enable desktop ui" OFF)
option(WITH_SFOS "enable sfos ui" OFF)

option(WITH_FLATPAK "enable flatpak build" OFF)
option(WITH_TESTS "enable tests" OFF)

option(WITH_TRACE_LOGS "enable trace logging" OFF)
option(WITH_SANITIZERS "enable asan and ubsan in debug build" ON)
option(WITH_STATIC_SANITIZERS "link asan and ubsan statically in debug build" OFF)
option(WITH_PY "enable python libraries" ${WITH_DESKTOP})
option(WITH_SYSTEMD_SERVICE "enable systemd service" ${WITH_SFOS})
option(WITH_X11_FEATURES "enable x11 features" ON)

option(DOWNLOAD_LIBSTT "download libstt binary and install shared lib" ON)
option(DOWNLOAD_VOSK "download vosk binary and install shared lib (don't use together with BUILD_VOSK)" OFF)
option(BUILD_VOSK "download sources of vosk, build and install shared lib (don't use together with DOWNLOAD_VOSK)" ON)
option(BUILD_LIBARCHIVE "download sources of libarchive, build and link statically" ON)
option(BUILD_FMT "download sources of fmt, build and link statically" ON)
option(BUILD_CATCH2 "download sources of catch2, build and link statically" ON)
option(BUILD_WHISPERCPP "download sources of whisper.cpp, build and install shared lib" ON)
option(BUILD_WHISPERCPP_CUBLAS "build also cublas version of whisper.cpp" OFF)
option(BUILD_WHISPERCPP_HIPBLAS "build also hipblas version of whisper.cpp" OFF)
option(BUILD_WHISPERCPP_CLBLAST "build also clblast version of whisper.cpp" OFF)
option(BUILD_WHISPERCPP_OPENVINO "build also open-vino version of whisper.cpp" OFF)
option(BUILD_WHISPERCPP_VULKAN "build also vulkan version of whisper.cpp" OFF)
option(BUILD_WEBRTCVAD "download sources of webrtc vad, build and link statically" ON)
option(BUILD_OPENBLAS "download sources of openblas, build and install shared lib" ON)
option(BUILD_XZ "download sources of xz lib, build and link statically" ON)
option(BUILD_RNNOISE "download sources of rnnoise-nu lib, build and link statically" ON)
option(BUILD_PYBIND11 "download sources of pybind11, build and link statically" ON)
option(BUILD_PYTHON_MODULE "make python module archive" OFF)
option(BUILD_ESPEAK "download sources of espeak-ng lib, build and link statically" ON)
option(BUILD_ESPEAK_MODULE "make espeak module archive" ON)
option(BUILD_PIPER "download sources of piper lib, build and link statically" ON)
option(BUILD_SSPLITCPP "download sources of ssplitcpp lib, build and link statically" ON)
option(BUILD_RHVOICE "download sources of rhvoice lib, build and install shared lib" ON)
option(BUILD_RHVOICE_MODULE "make rhvoice module archive" ON)
option(BUILD_BERGAMOT "download sources of bergamot-translator lib, build and install shared lib" ON)
option(BUILD_UROMAN "download sources of uroman and install uroman lib" ON) # only for x86_64
option(BUILD_RUBBERBAND "download sources of rubberband lib, build and link statically" ON)
option(BUILD_FFMPEG "download sources of ffmpeg libs, build and link statically" ON)
option(BUILD_TAGLIB "download sources of taglib, build and link statically" ON)
option(BUILD_LIBNUMBERTEXT "download sources of libnumbertext, build and link statically" ON)
option(BUILD_QHOTKEY "download sources of qhotkey lib, build and link statically" ON)
option(BUILD_APRILASR "download sources of april-asr lib, build and link statically" ON)
option(BUILD_HTML2MD "download sources of html2md lib, build and link statically" ON)
option(BUILD_MADDY "download sources of maddy lib" ON)
option(BUILD_XDO "download sources of xdo lib" ON)
option(BUILD_QQC2_BREEZE_STYLE "download sources of QQC2 Breeze Style, build and install" OFF)

if(${WITH_DESKTOP} AND ${WITH_SFOS})
    message(FATAL_ERROR "options WITH_DESKTOP and WITH_SFOS cannot be set together")
endif()

if(${DOWNLOAD_VOSK} AND ${BUILD_VOSK})
    set(BUILD_VOSK OFF)
    message(WARNING "disabling BUILD_VOSK because DOWNLOAD_VOSK is on")
endif()

if(NOT ${WITH_DESKTOP} AND NOT ${WITH_SFOS})
    message(FATAL_ERROR "one of the options should be set (WITH_DESKTOP or WITH_SFOS)")
endif()

if(NOT ${WITH_PY} AND ${BUILD_UROMAN})
    set(BUILD_UROMAN OFF)
    message(WARNING "disabling BUILD_UROMAN because WITH_PY is off")
endif()

if(WITH_DESKTOP)
    if(WITH_FLATPAK)
        set(BUILD_PYTHON_MODULE OFF)
        set(BUILD_QQC2_DESKTOP_STYLE OFF)
    endif()
endif()

if(WITH_SFOS)
    if (${WITH_PY} AND NOT ${BUILD_PYTHON_MODULE})
        set(BUILD_PYTHON_MODULE ON)
        message(WARNING "enabling BUILD_PYTHON_MODULE because WITH_PY is on")
    endif()
    if (WITH_X11_FEATURES)
        set(WITH_X11_FEATURES OFF)
        message(WARNING "disabling WITH_X11_FEATURES on sfos")
    endif()
    set(BUILD_QQC2_DESKTOP_STYLE OFF)
endif()

set(id "dsnote")
set(info_name "Speech Note")
set(info_org "net.mkiol")
set(info_domain "mkiol.net")
set(info_dbus_speech_service "net.mkiol.Speech")
set(info_dbus_speech_interface "net.mkiol.Speech")
set(info_dbus_app_service "net.mkiol.dsnote")
set(info_dbus_app_path "/net/mkiol/dsnote")
set(info_dbus_app_interface "net.mkiol.dsnote")
set(info_dbus_app_id ${id})
set(info_id ${id})
set(info_binary_id ${id})
set(info_translations_id ${id})
set(info_app_icon_id ${id})
if(WITH_SFOS)
    set(info_org "org.mkiol")
    set(info_domain "mkiol.org")
    set(info_dbus_speech_service "org.mkiol.Speech")
    set(info_dbus_speech_interface "org.mkiol.Speech")
    set(info_dbus_app_service "org.mkiol.dsnote")
    set(info_dbus_app_path "/org/mkiol/dsnote")
    set(info_dbus_app_interface "org.mkiol.dsnote")
    set(info_binary_id "harbour-dsnote")
    set(info_app_icon_id "harbour-dsnote")
endif()
if(WITH_FLATPAK)
    set(info_dbus_app_service "net.mkiol.SpeechNote")
    set(info_dbus_app_path "/net/mkiol/SpeechNote")
    set(info_dbus_app_interface "net.mkiol.SpeechNote")
    set(info_dbus_app_id "SpeechNote")
    set(info_app_icon_id "net.mkiol.SpeechNote")
endif()
set(info_author "Michal Kosciesza")
set(info_author_email "michal@mkiol.net")
set(info_copyright_year "2021-2025")
set(info_support_email "${id}@mkiol.net")
set(info_webpage "https://github.com/mkiol/${id}")
set(info_webpage_additional "https://gitlab.com/mkiol/${id}")
set(info_license "Mozilla Public License 2.0")
set(info_license_url "http://mozilla.org/MPL/2.0")
set(info_license_spdx "MPL-2.0")
set(info_conf_version "97")
set(info_addon_version "1.3") # if run as a flatpak pkg, the required add-on version
set(info_version_type "")
set(info_translators_str "Heimen Stoffels · Bérenger Arnaud · Karry · dashinfantry · \
Åke Engelbrektson · L'Africain · Albano Battistella · Locness3 · DevSJR · Vovkiv · Niklas Halvorsen · Matjaž Jeran")
set(info_libs_str "Qt · Coqui STT · Vosk · whisper.cpp · WebRTC-VAD · libarchive · RNNoise-nu · \
{fmt} · Piper · RHVoice · ssplit-cpp · nlohmann JSON · eSpeak NG · Bergamot Translator · \
Rubber Band Library · simdjson · uroman · astrunc · FFmpeg · LAME · Vorbis · Opus · TagLib · \
libnumbertext · april-asr · html2md · maddy · libxdo")
if (WITH_DESKTOP)
    set(info_libs_str "${info_libs_str} · KDBusAddons")

    if (WITH_X11_FEATURES)
        set(info_libs_str "${info_libs_str} · QHotkey")
    endif()
endif()

project(${id} VERSION 4.7.1)

set(arch_arm32 0)
set(arch_arm64 0)
set(arch_x8664 0)
if(CMAKE_SYSTEM_PROCESSOR MATCHES ".*arm.*")
    message(STATUS "arm architecture detected")
    set(arch_arm32 1)
elseif(CMAKE_SYSTEM_PROCESSOR MATCHES ".*aarch64.*")
    message(STATUS "arm64 architecture detected")
    set(arch_arm64 1)
elseif(CMAKE_SYSTEM_PROCESSOR MATCHES ".*86_64.*")
    message(STATUS "x86_64 architecture detected")
    set(arch_x8664 1)
else()
    message(FATAL_ERROR "unsupported architecture: ${CMAKE_SYSTEM_PROCESSOR}")
endif()

if(WITH_PY)
    if(arch_x8664)
        set(info_libs_str "${info_libs_str} · Hugging Face Transformers · Coqui TTS · faster-whisper · Mimic 3 · Unikud · WhisperSpeech")
    endif()
endif()

if(NOT ${arch_x8664})
    if(BUILD_WHISPERCPP_CUBLAS)
        set(BUILD_WHISPERCPP_CUBLAS OFF)
        message(WARNING "disabling BUILD_WHISPERCPP_CUBLAS because it is supported only on x86_64")
    endif()
    if(BUILD_WHISPERCPP_HIPBLAS)
        set(BUILD_WHISPERCPP_HIPBLAS OFF)
        message(WARNING "disabling BUILD_WHISPERCPP_HIPBLAS because it is supported only on x86_64")
    endif()
    if(BUILD_WHISPERCPP_CLBLAST)
        set(BUILD_WHISPERCPP_CLBLAST OFF)
        message(WARNING "disabling BUILD_WHISPERCPP_CLBLAST because it is supported only on x86_64")
    endif()
    if(BUILD_WHISPERCPP_OPENVINO)
        set(BUILD_WHISPERCPP_OPENVINO OFF)
        message(WARNING "disabling BUILD_WHISPERCPP_OPENVINO because it is supported only on x86_64")
    endif()
endif()
if(arch_arm32)
    if(BUILD_WHISPERCPP_VULKAN)
        message(WARNING "disabling BUILD_WHISPERCPP_VULKAN because it is not supported only on arm32")
    endif()
endif()

# dirs

include(GNUInstallDirs)

set(external_dir "${PROJECT_SOURCE_DIR}/external")
set(external_include_dir "${PROJECT_BINARY_DIR}/external/include")
set(external_lib_dir "${PROJECT_BINARY_DIR}/external/lib")
set(external_share_dir "${PROJECT_BINARY_DIR}/external/share")
set(external_bin_dir "${PROJECT_BINARY_DIR}/external/bin")
set(desktop_dir "${PROJECT_SOURCE_DIR}/desktop")
set(sfos_dir "${PROJECT_SOURCE_DIR}/sfos")
set(resources_dir "${PROJECT_SOURCE_DIR}/resources")
set(flatpak_dir "${PROJECT_SOURCE_DIR}/flatpak")
set(translations_dir "${PROJECT_SOURCE_DIR}/translations")
set(tools_dir "${PROJECT_SOURCE_DIR}/tools")
set(patches_dir "${PROJECT_SOURCE_DIR}/patches")
set(tests_dir "${PROJECT_SOURCE_DIR}/tests")
set(sources_dir "${PROJECT_SOURCE_DIR}/src")
set(systemd_dir "${PROJECT_SOURCE_DIR}/systemd")
set(dbus_dir "${PROJECT_SOURCE_DIR}/dbus")
set(binary_path "${CMAKE_INSTALL_PREFIX}/bin/${info_binary_id}")
set(cmake_path "${PROJECT_SOURCE_DIR}/cmake")
set(install_dir "share/${info_binary_id}")
set(module_install_dir ${install_dir})
set(share_install_dir "${install_dir}/share")
set(lib_install_dir "${install_dir}/lib")
set(bin_install_dir "${install_dir}/bin")
set(rpath_install_dir "${CMAKE_INSTALL_PREFIX}/${lib_install_dir}")
set(translations_resource_file "${CMAKE_BINARY_DIR}/translations.qrc")

set(xz_path "xz")
if(WITH_FLATPAK)
    set(rpath_install_dir "${CMAKE_INSTALL_PREFIX}/lib")
elseif(BUILD_XZ)
    set(xz_path "${external_bin_dir}/xz")
endif()

set(deps "") # dependencies of dsnote_lib and dsnote
set(deps_libs "") # libs to link to dsnote_lib and dsnote

# global config

set(BUILD_SHARED_LIBS OFF)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_SKIP_RPATH ON)

# includes

set(includes ${sources_dir} ${PROJECT_BINARY_DIR} ${external_include_dir})

# dsnote_lib

set(dsnote_lib_sources
    ${sources_dir}/audio_source.h
    ${sources_dir}/dbus_speech_adaptor.cpp
    ${sources_dir}/dbus_speech_adaptor.h
    ${sources_dir}/dbus_speech_inf.cpp
    ${sources_dir}/dbus_speech_inf.h
    ${sources_dir}/dbus_application_adaptor.cpp
    ${sources_dir}/dbus_application_adaptor.h
    ${sources_dir}/dbus_application_inf.cpp
    ${sources_dir}/dbus_application_inf.h
    ${sources_dir}/dbus_notifications_inf.cpp
    ${sources_dir}/dbus_notifications_inf.h
    ${sources_dir}/dirmodel.cpp
    ${sources_dir}/dirmodel.h
    ${sources_dir}/dsnote_app.cpp
    ${sources_dir}/dsnote_app.h
    ${sources_dir}/file_source.cpp
    ${sources_dir}/file_source.h
    ${sources_dir}/itemmodel.cpp
    ${sources_dir}/itemmodel.h
    ${sources_dir}/langs_list_model.cpp
    ${sources_dir}/langs_list_model.h
    ${sources_dir}/listmodel.cpp
    ${sources_dir}/listmodel.h
    ${sources_dir}/mic_source.cpp
    ${sources_dir}/mic_source.h
    ${sources_dir}/models_list_model.cpp
    ${sources_dir}/models_list_model.h
    ${sources_dir}/models_manager.cpp
    ${sources_dir}/models_manager.h

=== deb/debian/changelog ===
dsnote (4.6.1-1) unstable; urgency=low

  * v4.6.1 release.

 -- LFdev <lfdev+deb@envs.net>  Fri, 23 Ago 2024 19:05:00 -0300
 

dsnote (4.5.0-1) unstable; urgency=low

  * Initial release.

 -- LFdev <lfdev+deb@envs.net>  Sat, 29 Jun 2024 19:05:00 -0300

=== arch/git/PKGBUILD ===
# Maintainer: LFdev <lfdev+aur at envs dot net>

_pkgname='dsnote'
pkgname="${_pkgname}-git"
pkgver=r1266.b3206a1
pkgrel=1
pkgdesc="Note taking, reading and translating with offline Speech to Text, Text to Speech and Machine Translation"
arch=(
  'x86_64'
  'aarch64'
)
url="https://github.com/mkiol/dsnote"
license=('MPL2')
depends=(
  'boost-libs'
  'fmt'
  'glslang'
  'hicolor-icon-theme'
  'kdbusaddons5'
  'libarchive'
  'libpulse'
  'libxinerama'
  'libxtst'
  'ocl-icd'
  'openblas'
  'perl'
  'python>=3.11'
  'qqc2-desktop-style5'
  'qt5-base'
  'qt5-declarative'
  'qt5-multimedia'
  'qt5-quickcontrols2'
  'qt5-x11extras'
  'rubberband'
  'taglib'
  'vulkan-icd-loader'
  'xz'
)
makedepends=(
  'boost'
  'cmake'
  'extra-cmake-modules'
  'git'
  'meson'
  'patchelf'
  'pybind11'
  'qt5-tools'
  'vulkan-headers'
)
makedepends_x86_64=(
#  'cuda'
)
optdepends=(
  'python-accelerate: Support for Punctuation and Hebrew Diacritics restoration'
  'python-torchaudio: Support for Coqui TTS models'
  'python-transformers: Support for Punctuation and Hebrew Diacritics restoration'
  'tts: Support for Coqui TTS models'
)
optdepends_x86_64=(
  'amdvlk: Vulkan support for AMD GPU (AMDVLK Open)'
  'cuda: Support for GPU acceleration on NVidia graphic cards'
  'cudnn: Support for GPU acceleration on NVidia graphic cards'
  'nvidia-utils: Vulkan support for NVidia GPU'
  'vulkan-intel: Vulkan support for Intel GPU'
  'vulkan-radeon: Vulkan support for AMD RADV'
)
options=('!debug')
provides=(${_pkgname})
conflicts=(${_pkgname})
install=${_pkgname}.install
source=(git+https://github.com/mkiol/dsnote.git)
sha256sums=('SKIP')

pkgver() {
  cd "${srcdir}/${_pkgname}"
  printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

build() {
  cd "${srcdir}/${_pkgname}"
  mkdir -p build
  cd build

  CMAKE="-DCMAKE_BUILD_TYPE=Release -DWITH_DESKTOP=ON \
        -DWITH_PY=ON \
        -DBUILD_LIBARCHIVE=OFF \
        -DBUILD_FMT=OFF \
        -DBUILD_CATCH2=OFF \
        -DBUILD_OPENBLAS=OFF \
        -DBUILD_XZ=OFF \
        -DBUILD_PYBIND11=OFF \
        -DBUILD_RUBBERBAND=OFF \
        -DBUILD_FFMPEG=ON \
        -DBUILD_TAGLIB=OFF \
        -DBUILD_VOSK=OFF \
        -DBUILD_WHISPERCPP_VULKAN=ON \
        -DBUILD_QQC2_BREEZE_STYLE=ON \
        -DDOWNLOAD_VOSK=ON \
        -DCMAKE_INSTALL_PREFIX=/usr \
        -Wno-dev"

  #################### !! IMPORTANT!! ######################
  # CUDA support is experimental and may break!
  # In order to enable support for it, please uncomment
  # the respective entry in makedepends_x86_64 (or install
  # the dependency package first) and change FULL_BUILD
  # value below to true *before* making the build.
  ##########################################################

  FULL_BUILD=false

  if [[ "${CARCH}" == "x86_64" ]]; then
    # Build for CUDA if needed package is found
    pacman -Qi cuda &> /dev/null && $FULL_BUILD && CMAKE+=" -DBUILD_WHISPERCPP_CUBLAS=ON -DCMAKE_CUDA_ARCHITECTURES=native"
    pacman -Qi cuda &> /dev/null && $FULL_BUILD && export CUDA_PATH=/opt/cuda
  fi

  CI_BUILD=false

  # Disable bergamot and RHVoice (used for CI builds only)
  $CI_BUILD && CMAKE+=" -DBUILD_BERGAMOT=OFF -DBUILD_RHVOICE=OFF -DBUILD_RHVOICE_MODULE=OFF"

  cmake ../ $CMAKE

  test $(nproc) -gt 2 && make -j$(($(nproc)-2)) || make
}

package() {
  cd "${srcdir}/${_pkgname}"
  cd build
  make DESTDIR="$pkgdir" install
}

=== arch/release/PKGBUILD ===
# Maintainer: LFdev <lfdev+aur at envs dot net>

_pkgname='dsnote'
pkgname="${_pkgname}"
pkgver=4.7.0
pkgrel=1
pkgdesc="Note taking, reading and translating with offline Speech to Text, Text to Speech and Machine Translation"
arch=(
  'x86_64'
  'aarch64'
)
url="https://github.com/mkiol/dsnote"
license=('MPL2')
depends=(
  'boost-libs'
  'fmt'
  'glslang'
  'hicolor-icon-theme'
  'kdbusaddons5'
  'libarchive'
  'libpulse'
  'libxinerama'
  'libxtst'
  'ocl-icd'
  'openblas'
  'perl'
  'python>=3.11'
  'qqc2-desktop-style5'
  'qt5-base'
  'qt5-declarative'
  'qt5-multimedia'
  'qt5-quickcontrols2'
  'qt5-x11extras'
  'rubberband'
  'taglib'
  'vulkan-icd-loader'
  'xz'
)
makedepends=(
  'boost'
  'cmake'
  'extra-cmake-modules'
  'git'
  'meson'
  'patchelf'
  'pybind11'
  'qt5-tools'
  'vulkan-headers'
)
makedepends_x86_64=(
#  'cuda'
)
optdepends=(
  'python-accelerate: Support for Punctuation and Hebrew Diacritics restoration'
  'python-torchaudio: Support for Coqui TTS models'
  'python-transformers: Support for Punctuation and Hebrew Diacritics restoration'
  'tts: Support for Coqui TTS models'
)
optdepends_x86_64=(
  'amdvlk: Vulkan support for AMD GPU (AMDVLK Open)'
  'cuda: Support for GPU acceleration on NVidia graphic cards'
  'cudnn: Support for GPU acceleration on NVidia graphic cards'
  'nvidia-utils: Vulkan support for NVidia GPU'
  'vulkan-intel: Vulkan support for Intel GPU'
  'vulkan-radeon: Vulkan support for AMD RADV'
)
options=('!debug')
provides=(${_pkgname})
conflicts=(${_pkgname}-git)
install=${_pkgname}.install
source=(https://github.com/mkiol/dsnote/archive/refs/tags/v${pkgver}.tar.gz)
sha256sums=('8ca35e5fb082352838e5b883b45a5672c0d3aae958e1e765f0af37ce29d27739')

build() {
  cd "${srcdir}/${_pkgname}-${pkgver}"
  mkdir -p build
  cd build

  CMAKE="-DCMAKE_BUILD_TYPE=Release -DWITH_DESKTOP=ON \
        -DWITH_PY=ON \
        -DBUILD_LIBARCHIVE=OFF \
        -DBUILD_FMT=OFF \
        -DBUILD_CATCH2=OFF \
        -DBUILD_OPENBLAS=OFF \
        -DBUILD_XZ=OFF \
        -DBUILD_PYBIND11=OFF \
        -DBUILD_RUBBERBAND=OFF \
        -DBUILD_FFMPEG=ON \
        -DBUILD_TAGLIB=OFF \
        -DBUILD_VOSK=OFF \
        -DBUILD_WHISPERCPP_VULKAN=ON \
        -DBUILD_QQC2_BREEZE_STYLE=ON \
        -DDOWNLOAD_VOSK=ON \
        -DCMAKE_INSTALL_PREFIX=/usr \
        -Wno-dev"

  #################### !! IMPORTANT!! ######################
  # CUDA support is experimental and may break!
  # In order to enable support for it, please uncomment
  # the respective entry in makedepends_x86_64 (or install
  # the dependency package first) *before* making the build.
  # You can disable CUDA support by changing FULL_BUILD
  # below to false before building as well.
  ##########################################################

  FULL_BUILD=true

  if [[ "${CARCH}" == "x86_64" ]]; then
    # Build for CUDA if needed package is found
    pacman -Qi cuda &> /dev/null && $FULL_BUILD && CMAKE+=" -DBUILD_WHISPERCPP_CUBLAS=ON -DCMAKE_CUDA_ARCHITECTURES=native"
    pacman -Qi cuda &> /dev/null && $FULL_BUILD && export CUDA_PATH=/opt/cuda
  fi

  CI_BUILD=false

  # Disable bergamot and RHVoice (used for CI builds only)
  $CI_BUILD && CMAKE+=" -DBUILD_BERGAMOT=OFF -DBUILD_RHVOICE=OFF -DBUILD_RHVOICE_MODULE=OFF"

  cmake ../ $CMAKE

  test $(nproc) -gt 2 && make -j$(($(nproc)-2)) || make
}

package() {
  cd "${srcdir}/${_pkgname}-${pkgver}"
  cd build
  make DESTDIR="$pkgdir" install
}

=== deb/debian/control ===
Package: dsnote
Version: 4.6.1-1
Architecture: amd64
Homepage: https://github.com/mkiol/dsnote
Maintainer: LFdev <lfdev+deb@envs.net>
Section: misc
Depends: breeze-icon-theme, hicolor-icon-theme, libarchive13, libc6, libfmt9, libkf5dbusaddons5, liblzma5, libopenblas0, libpython3.12, libqt5multimedia5, libqt5multimedia5-plugins, libqt5quickcontrols2-5, libqt5x11extras5, librubberband2, libtag1v5, ocl-icd-libopencl1, perl, python3, qml-module-org-kde-qqc2breezestyle, qml-module-org-kde-qqc2desktopstyle, qml-module-org-kde-quickcharts, qml-module-qtquick-controls, qml-module-qtquick-dialogs, zlib1g
Suggests: intel-opencl-icd, libcudart12, nvidia-cudnn
Description: Offline note taking, reading and translating
 Note taking, reading and translating with offline Speech to Text,
 Text to Speech and Machine Translation.
